<script setup>
    import FormulaireFicheDePaie from '@/components/formulaires/FormulaireFicheDePaie.vue';
    import axios from 'axios';
    import { reactive } from 'vue';
    import ROUTES_API from '@/assets/routesAPI.js'

    const envoyerFicheDePaie = async (ficheDePaie) => {
        ficheDePaie.salaireBrut = ficheDePaie.salaireBrut * 100;
        ficheDePaie.cotisationsPatronales = ficheDePaie.cotisationsPatronales * 100;
        await axios.put(ROUTES_API.FICHES_DE_PAIE + props.id, ficheDePaie, {
            headers : {
                'Content-Type': 'application/json',
                'Accept': 'application/json'
            }
        });
        window.location.href = "/fiches_de_paie";
    }

    const props = defineProps( {
      id: {
        type: String,
        required: true,
      }
    })

    const ficheDePaie = reactive({
        date: "",
        idEmploye: "",
        salaireBrut: "",
        cotisationsPatronales: ""
    });

    axios.get(ROUTES_API.FICHES_DE_PAIE + props.id, {
        headers : {
            'Content-Type': 'application/json',
            'Accept': 'application/json'
        }
    })
    .then(response => {
        if (response.data) {
            ficheDePaie.date = response.data.date
            ficheDePaie.idEmploye = response.data.idEmploye
            ficheDePaie.salaireBrut = response.data.salaireBrut / 100
            ficheDePaie.cotisationsPatronales = response.data.cotisationsPatronales / 100
            ficheDePaie.role = response.data.role
        }
    })
    .catch()
</script>


<template>
    <div>
        <FormulaireFicheDePaie :fiche-de-paie="ficheDePaie" @envoie="envoyerFicheDePaie" />
    </div>
</template>

<style scoped>

</style>